summaryrefslogtreecommitdiff
path: root/examples/cubietruck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/cubietruck.sh')
-rwxr-xr-xexamples/cubietruck.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/examples/cubietruck.sh b/examples/cubietruck.sh
new file mode 100755
index 0000000..2da46af
--- /dev/null
+++ b/examples/cubietruck.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+sudo vmdebootstrap \
+ --owner $(whoami) --verbose \
+ --size 3G \
+ --mirror http://http.debian.net/debian \
+ --log cubietruck.log --log-level debug \
+ --arch armhf \
+ --foreign /usr/bin/qemu-arm-static \
+ --enable-dhcp \
+ --configure-apt \
+ --no-extlinux \
+ --no-kernel \
+ --package u-boot \
+ --package linux-image-armmp \
+ --distribution sid \
+ --serial-console-command "/sbin/getty -L ttyS0 115200 vt100" \
+ --customize "cubietruck-customise.sh" \
+ --serial-console-command \
+ --bootsize 50m --boottype vfat \
+ "$@"